/**
 * Copyright 2014 Hanei Management Co.,Ltd. 
 * 
 * This file is part of Jaxcel
 * 
 *  Jaxcel is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Jaxcel is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.hanei.jaxcel.example;

/**
 * サンプルデータオブジェクト
 * 
 * @author noboru saito
 */
public class SampleObject {
	private String  dataA;
	private int     dataB;
	private double  dataC;
	private boolean dataD;

	public String  dataApub;
	public int     dataBpub;
	public double  dataCpub;
	public boolean dataDpub;
	
	public double getDataBHalf() {
		return dataB / 2.0;
	}
	/**
	 * @return dataA
	 */
	public String getDataA() {
		return dataA;
	}
	/**
	 * @param dataA セットする dataA
	 */
	public void setDataA(String dataA) {
		this.dataA = dataA;
	}
	/**
	 * @return dataB
	 */
	public int getDataB() {
		return dataB;
	}
	/**
	 * @param dataB セットする dataB
	 */
	public void setDataB(int dataB) {
		this.dataB = dataB;
	}
	/**
	 * @return dataC
	 */
	public double getDataC() {
		return dataC;
	}
	/**
	 * @param dataC セットする dataC
	 */
	public void setDataC(double dataC) {
		this.dataC = dataC;
	}
	/**
	 * @return dataD
	 */
	public boolean isDataD() {
		return dataD;
	}
	/**
	 * @param dataD セットする dataD
	 */
	public void setDataD(boolean dataD) {
		this.dataD = dataD;
	}
	
}
